*         -*- mode: Fortran -*-
*######################################################################*
*                       I N C L U D E     F I L E                      *
*######################################################################*

************************************************************************
***                            MFCom.h                               ***
***         this piece of code is needed as a separate file          ***
***             the rest of the code 'includes' MFCom.h              ***
c----------------------------------------------------------------------c
c  Author: Joakim Edsjo (edsjo@teorfys.uu.se) 96-03-22
c  Modified: 97-11-06
c....MFsusy - susy model dependent parameters
      real*8 abr,hdw,mh,map,mqu,mqd,mqs,wtot
      character*12 idt
      common/MFsusy/abr(12),hdw(15,4),mh(4),map(6),mqu,mqd,mqs,
     &  wtot,idt
c....MFsim - simulation result tables
      real*8 lb,ub,mi,thindex,zindex,dth,dz
      real phiint,phidiff
      integer flxtype,milow,thn,zn
      character*40 MFdir
      character MFftype
      character*4 MFmed
      common/MFsim/lb(6),ub(6),mi(18),thindex(-1:90,2),
     &  zindex(-1:50,2),dth(-1:90),dz(-1:50),
     &  flxtype(2),milow(6),thn,zn,
     &  MFdir,MFftype,MFmed
      common/MFsim2/ phiint(-1:90,0:50,18,6,2),
     &  phidiff(-1:90,-1:50,18,6,2)

c....MFpar - variable passing to some routines
      real*8 phim0,phim1,phim2,phie0,phieth,phithm
      integer phich,phiwh,phifk   ! phiwh=1 - Sun, 2 - Earth
      common/MFpar/phim0,phim1,phim2,phie0,phieth,phithm,phich,
     &  phiwh,phifk
c...MFinfo - tag etc.
      integer MFprt,MFerr,MFistat
      character*12 MFtag
      common/MFinfo/MFprt,MFerr,MFtag,MFistat

c Save common block
      save /MFsusy/,/MFsim/,/MFpar/,/MFinfo/,/MFsim2/
***                                                                 ***
************************** end of MuonCom.h ***************************






