***********************************************
*** Routine to find the index of an entry   ***
*** The closest lowst hit is given          ***
***********************************************

      SUBROUTINE MFifind(imin,imax,value,array,ii,ipl)

      include 'MFCom.h'

      integer imin,imax,i,inew,imint,imaxt,iold,ii
      real*8 ipl,value,array(imin+10:imax+11)    ! +10 to avoid sign problems

      imint=imin+10
      imaxt=imax+10

      if (value.lt.array(imint).or.value.ge.array(imaxt+1)) then
        ii=-5
c        write(*,*) 'ERROR in MFifind: request out of bounds'
        return
      endif

      iold=0
      inew=0
      i=(imaxt+imint)/2
      
 10   if (value.ge.array(i).and.value.lt.array(i+1)) then
        ii=i-10
        ipl=(value-array(i))/(array(i+1)-array(i))
        return
      endif

      if (value.gt.array(i)) then
        inew=(i+1+imaxt)/2
        imint=i
      else
        inew=(imint+i)/2
        imaxt=i
      endif

      i=inew
      if (iold.eq.inew) then
        write(*,*) 'ERROR in MFifind: Couldn''t find the index'
        write(*,*) '  The index array must be incorrect.'
        write(*,*) '  Model: ',MFtag
        write(*,*) '  Value = ',value
        write(*,*) '  Array-min = ',array(imin+10)
        write(*,*) '  Array-max = ',array(imax+11)
        stop
      endif
      iold=inew

      goto 10
      
      end










